=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
 SHELL=/bin/bash
 
-include /usr/share/dpatch/dpatch.make
-
 package=openssl
 
 # For generating the manpages
@@ -19,23 +17,32 @@
 
 # The binary architeture
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib  enable-tlsext
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+MAKE_TEST=:
+else
+CROSS=CC=$(CC)
+MAKE_TEST=make test
+endif
+
+CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib  enable-tlsext no-sslv2
 OPT_alpha = ev4 ev5
-OPT_i386  = i486 i586 i686/cmov
-OPT_sparc = v8 v9
 ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
 OPTS      = $($(ARCHOPTS))
 WANTED_LIBC_VERSION = 2.3.1-10
 
-build: patch-stamp build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 #	perl util/ssldir.pl /usr/lib/ssl
 #	chmod +x debian/libtool
 	./Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
-	make -f Makefile all
-	make test
+	make $(CROSS) -f Makefile all
+	$(MAKE_TEST)
 	mv libcrypto.a libcrypto.static
 	mv libssl.a libssl.static
 	make -f Makefile clean
@@ -43,29 +50,30 @@
 	do \
 		set -xe; \
 		./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
-		make -f Makefile all; \
-		make test; \
+		make $(CROSS) -f Makefile all; \
+		$(MAKE_TEST); \
 		mkdir -p $$opt; \
 		mv libcrypto.so* libssl.so* $$opt/; \
 		make -f Makefile clean; \
 	done
 	./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
-	#make -f Makefile depend
+	#make $(CROSS) -f Makefile depend
 	ln -sf apps/openssl.pod crypto/crypto.pod ssl/ssl.pod doc/
-#	make -f Makefile linux-shared
-	make -f Makefile all
-	make test
+#	make $(CROSS) -f Makefile linux-shared
+	make $(CROSS) -f Makefile all
+	$(MAKE_TEST)
 #	strip apps/openssl
 #	make -f Makefile clean
 #	./Configure --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 debian-$(DEB_HOST_ARCH)
-#	make -f Makefile all
-	touch build
+#	make $(CROSS) -f Makefile all
+	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
-	-rm -f build
+	-rm -f build-stamp
 	-./Configure $(CONFARGS) debian-$(DEB_HOST_ARCH)
+	-sed -i -e 's/rm -f/rm -rf/' Makefile
 	[ ! -f Makefile ] || make -f Makefile  clean clean-shared
 	#-make -f Makefile  dclean
 #	perl util/ssldir.pl /usr/local/ssl
@@ -122,13 +130,21 @@
 #	mv debian/tmp/usr/lib/*.so.*.*.* debian/libssl09/usr/lib/
 #	mv debian/tmp/usr/lib/*.la debian/libssl09-dev/usr/lib/
 #	mv debian/tmp/usr/include debian/libssl09-dev/usr/
+	# move runtime libraries to /lib
+	install -d debian/tmp/lib
+	mv debian/tmp/usr/lib/lib*.so.* debian/tmp/lib/
+	ln -sf /lib/$$(readlink debian/tmp/usr/lib/libcrypto.so) debian/tmp/usr/lib/libcrypto.so
+	ln -sf /lib/$$(readlink debian/tmp/usr/lib/libssl.so) debian/tmp/usr/lib/libssl.so
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
+	# leave symlinks behind due to rpath in old versions
+	for x in debian/tmp/lib/lib*.so.*; do ln -s /lib/$$(basename $$x) debian/tmp/usr/lib/$$(basename $$x); done
+endif
 	mkdir -p debian/tmp/etc/ssl
 	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
 	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
-	cp -pf debian/tmp/usr/lib/libcrypto.so.* debian/libcrypto0.9.8-udeb/usr/lib/
-	cp -auv lib*.so* debian/tmp/usr/lib/
-#	cp -auv lib*.a debian/tmp/usr/lib/
-	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/usr/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/usr/lib/$$opt/; done
+	cp -pf debian/tmp/lib/libcrypto.so.* debian/libcrypto0.9.8-udeb/lib/
+	cp -pf debian/tmp/lib/libssl.so.* debian/libssl0.9.8-udeb/lib/
+	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/lib/$$opt/; done
 	install debian/copyright debian/libssl0.9.8/usr/share/doc/libssl0.9.8/
 	install debian/changelog debian/libssl0.9.8/usr/share/doc/libssl0.9.8/changelog.Debian
 	install debian/copyright debian/libssl-dev/usr/share/doc/libssl-dev/
@@ -149,15 +165,22 @@
 #	rmdir debian/tmp/usr/lib/ssl/lib
 #	rmdir debian/tmp/usr/include/openssl
 #	rmdir debian/tmp/usr/include
-#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/usr/lib/$$opt; done
+#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/lib/$$opt; done
 	dh_compress
+# symlink doc files
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz changelog.gz copyright; do \
+	    ln -sf ../libssl0.9.8/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
 	chmod 700 debian/openssl/etc/ssl/private
 	dh_fixperms -X etc/ssl/private
 	dh_strip --dbg-package=libssl0.9.8
 	dh_perl -d
 #	dh_suidregister
 	dh_makeshlibs -V "libssl0.9.8 (>= 0.9.8m-1)" --add-udeb="libcrypto0.9.8-udeb"
-	dh_shlibdeps -L libssl0.9.8 -l debian/libssl0.9.8/usr/lib
+	sed -i '/^udeb: libssl/s/libcrypto0.9.8-udeb/libssl0.9.8-udeb/' debian/libssl0.9.8/DEBIAN/shlibs
+	dh_shlibdeps -L libssl0.9.8 -l debian/libssl0.9.8/lib
 	dh_gencontrol
 	dh_installdeb
 	dh_md5sums
