## openssl 1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 0.9.9
+Version: 1.0
 Authors@R: c(
     person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("cre", "aut")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -23,9 +23,9 @@
 Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
 RoxygenNote: 6.0.1.9000
 NeedsCompilation: yes
-Packaged: 2017-11-10 16:52:56 UTC; jeroen
+Packaged: 2018-02-02 08:16:13 UTC; jeroen
 Author: Jeroen Ooms [cre, aut],
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2017-11-10 18:33:32 UTC
+Date/Publication: 2018-02-02 18:26:41 UTC
